"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseLodWordExporterImpl = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const types_1 = require("@services/types");
let BaseLodWordExporterImpl = class BaseLodWordExporterImpl {
    labelProvider;
    constructor(labelProvider) {
        this.labelProvider = labelProvider;
    }
    rerieveWordTypeHeader(language, word, type) {
        let content = `<b><a href="https://www.lod.lu/?${type.lodKey}">${word.word}</a> ${this.labelProvider.get(type.type.toUpperCase(), language)}`;
        if (!!type.details.variationOfLodKey) {
            content += ` - ${this.labelProvider.get(type.details.variationType, language)} ${type.details.variationOf}`;
        }
        if (!!type.details.audio) {
            content += ` [sound:${type.details.audio}]</b>`;
        }
        return content;
    }
};
BaseLodWordExporterImpl = tslib_1.__decorate([
    (0, inversify_1.injectable)(),
    tslib_1.__param(0, (0, inversify_1.inject)(types_1.TYPES.LabelProvider)),
    tslib_1.__metadata("design:paramtypes", [Object])
], BaseLodWordExporterImpl);
exports.BaseLodWordExporterImpl = BaseLodWordExporterImpl;
