"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NounExporterImpl = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const types_1 = require("@services/types");
let NounExporterImpl = class NounExporterImpl {
    labelProvider;
    constructor(labelProvider) {
        this.labelProvider = labelProvider;
    }
    rerieveWordTypeHeader(language, word, type) {
        let content = `<b><a href="https://www.lod.lu/?${type.lodKey}">${word.word}</a>`;
        let typeStr = this.labelProvider.get(type.type.toUpperCase(), language);
        if (type.details.nounCategory === "NOM-PROPRE") {
            typeStr = this.labelProvider.get("PROPER_NOUN", language);
        }
        else {
            typeStr = this.labelProvider.get(`${type.details.nounGender.toUpperCase()}_${type.type.toUpperCase()}`, language);
        }
        if (type.details.nounGender === "INDEF") {
            typeStr += ` (${this.labelProvider.get("NO_SINGULAR", language)})`;
        }
        else if (!!type.details.plural) {
            typeStr += ` (${this.labelProvider.get("PLURAL", language)} <span style="color: #b00c12;">${type.details.plural}</span>)`;
        }
        content += ` ${typeStr}`;
        if (!!type.details.variationOfLodKey) {
            content += ` - ${this.labelProvider.get(type.details.variationType, language)} ${type.details.variationOf}`;
        }
        if (!!type.details.audio) {
            content += ` [sound:${type.details.audio}]</b>`;
        }
        return content;
    }
};
NounExporterImpl = tslib_1.__decorate([
    (0, inversify_1.injectable)(),
    tslib_1.__param(0, (0, inversify_1.inject)(types_1.TYPES.LabelProvider)),
    tslib_1.__metadata("design:paramtypes", [Object])
], NounExporterImpl);
exports.NounExporterImpl = NounExporterImpl;
