"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerbExporterImpl = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const types_1 = require("@services/types");
let VerbExporterImpl = class VerbExporterImpl {
    labelProvider;
    constructor(labelProvider) {
        this.labelProvider = labelProvider;
    }
    rerieveWordTypeHeader(language, word, type) {
        let content = `<b><a href="https://www.lod.lu/?${type.lodKey}">${word.word}</a> ${this.labelProvider.get(type.type.toUpperCase(), language)}`;
        content += ` (${this.labelProvider.get("AUXILIARY_VERB", language)} <span style="color: #b00c12;">${type.details.auxiliaryVerb?.toLowerCase()}</span>, ${this.labelProvider.get("PAST_PARTICIPLE", language)} <span style="color: #b00c12;">${type.details.pastParticiples?.join(" / ")}</span>)`;
        if (!!type.details.variationOfLodKey) {
            content += ` - ${this.labelProvider.get(type.details.variationType, language)} ${type.details.variationOf}`;
        }
        if (!!type.details.audio) {
            content += ` [sound:${type.details.audio}]</b>`;
        }
        return content;
    }
};
VerbExporterImpl = tslib_1.__decorate([
    (0, inversify_1.injectable)(),
    tslib_1.__param(0, (0, inversify_1.inject)(types_1.TYPES.LabelProvider)),
    tslib_1.__metadata("design:paramtypes", [Object])
], VerbExporterImpl);
exports.VerbExporterImpl = VerbExporterImpl;
