"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabelProviderImpl = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const deLabels = require("@resources/de-labels.json");
const ptLabels = require("@resources/pt-labels.json");
const frLabels = require("@resources/fr-labels.json");
const enLabels = require("@resources/en-labels.json");
let LabelProviderImpl = class LabelProviderImpl {
    get(label, language = "en") {
        let value;
        switch (language.toLowerCase()) {
            case "all":
                value = deLabels[label];
                break;
            case "po":
                value = ptLabels[label];
                break;
            case "fr":
                value = frLabels[label];
                break;
            case "en":
            default:
                value = enLabels[label];
                break;
        }
        if (!!value) {
            return value;
        }
        return label;
    }
};
LabelProviderImpl = tslib_1.__decorate([
    (0, inversify_1.injectable)()
], LabelProviderImpl);
exports.LabelProviderImpl = LabelProviderImpl;
